Console Output

15:33:07 Started by GitHub push by stevekuznetsov
15:33:07 [EnvInject] - Loading node environment variables.
15:33:07 Building in workspace /var/lib/jenkins/jobs/install_origin_ci_tool/workspace
15:33:07  > git rev-parse --is-inside-work-tree # timeout=10
15:33:07 Fetching changes from the remote Git repository
15:33:07  > git config remote.origin.url git@github.com:openshift/origin-ci-tool.git # timeout=10
15:33:07 Fetching upstream changes from git@github.com:openshift/origin-ci-tool.git
15:33:07  > git --version # timeout=10
15:33:07  > git fetch --tags --progress git@github.com:openshift/origin-ci-tool.git +refs/heads/*:refs/remotes/origin/*
15:33:08  > git rev-parse refs/remotes/origin/master^{commit} # timeout=10
15:33:08  > git rev-parse refs/remotes/origin/origin/master^{commit} # timeout=10
15:33:08 Checking out Revision 1b1964377703c7b80bc58461631459400fa0d742 (refs/remotes/origin/master)
15:33:08  > git config core.sparsecheckout # timeout=10
15:33:08  > git checkout -f 1b1964377703c7b80bc58461631459400fa0d742
15:33:08 Commit message: "Merge pull request #168 from eriknelson/add-asb-sync"
15:33:08  > git rev-list 7a5c5e83c372ad2e6b3b64b3efa16fe2cb37ef83 # timeout=10
15:33:08 [workspace] $ /bin/bash /tmp/jenkins1426567518592026739.sh
15:33:08 ++ git log -n 1 --pretty=%H
15:33:08 + latest_sha=1b1964377703c7b80bc58461631459400fa0d742
15:33:08 + venv_dir=/var/lib/jenkins/origin-ci-tool/1b1964377703c7b80bc58461631459400fa0d742
15:33:08 + virtualenv /var/lib/jenkins/origin-ci-tool/1b1964377703c7b80bc58461631459400fa0d742 --system-site-packages
15:33:08 New python executable in /var/lib/jenkins/origin-ci-tool/1b1964377703c7b80bc58461631459400fa0d742/bin/python
15:33:08 Installing Setuptools..............................................................................................................................................................................................................................done.
15:33:09 Installing Pip.....................................................................................................................................................................................................................................................................................................................................done.
15:33:09 + rm -f /var/lib/jenkins/origin-ci-tool/1b1964377703c7b80bc58461631459400fa0d742/bin/activate
15:33:09 + cat
15:33:09 + source /var/lib/jenkins/origin-ci-tool/1b1964377703c7b80bc58461631459400fa0d742/bin/activate
15:33:09 ++ export VIRTUAL_ENV=/var/lib/jenkins/origin-ci-tool/1b1964377703c7b80bc58461631459400fa0d742
15:33:09 ++ VIRTUAL_ENV=/var/lib/jenkins/origin-ci-tool/1b1964377703c7b80bc58461631459400fa0d742
15:33:09 ++ export PATH=/var/lib/jenkins/origin-ci-tool/1b1964377703c7b80bc58461631459400fa0d742/bin:/sbin:/usr/sbin:/bin:/usr/bin
15:33:09 ++ PATH=/var/lib/jenkins/origin-ci-tool/1b1964377703c7b80bc58461631459400fa0d742/bin:/sbin:/usr/sbin:/bin:/usr/bin
15:33:09 ++ unset PYTHON_HOME
15:33:09 + pip install --upgrade pip
15:33:11 Downloading/unpacking pip from https://files.pythonhosted.org/packages/ae/e8/2340d46ecadb1692a1e455f13f75e596d4eab3d11a57446f08259dee8f02/pip-10.0.1.tar.gz#sha256=f2bd08e0cd1b06e10218feaf6fef299f473ba706582eb3bd9d52203fdbd7ee68
15:33:11   Running setup.py egg_info for package pip
15:33:11     /usr/lib64/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'python_requires'
15:33:11       warnings.warn(msg)
15:33:11     
15:33:11     warning: no previously-included files found matching '.coveragerc'
15:33:11     warning: no previously-included files found matching '.mailmap'
15:33:11     warning: no previously-included files found matching '.travis.yml'
15:33:11     warning: no previously-included files found matching '.landscape.yml'
15:33:11     warning: no previously-included files found matching 'src/pip/_vendor/Makefile'
15:33:11     warning: no previously-included files found matching 'tox.ini'
15:33:11     warning: no previously-included files found matching '*-requirements.txt'
15:33:11     warning: no previously-included files found matching 'appveyor.yml'
15:33:11     warning: no previously-included files found matching 'src/pip/_vendor/six'
15:33:11     warning: no previously-included files matching '*.pyi' found under directory 'src/pip/_vendor'
15:33:11     no previously-included directories found matching '.github'
15:33:11     no previously-included directories found matching '.travis'
15:33:11     no previously-included directories found matching 'docs/build'
15:33:11     no previously-included directories found matching 'news'
15:33:11     no previously-included directories found matching 'contrib'
15:33:11     no previously-included directories found matching 'tasks'
15:33:11     no previously-included directories found matching 'tests'
15:33:11 Installing collected packages: pip
15:33:11   Found existing installation: pip 1.4.1
15:33:11     Uninstalling pip:
15:33:11       Successfully uninstalled pip
15:33:11   Running setup.py install for pip
15:33:11     /usr/lib64/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'python_requires'
15:33:11       warnings.warn(msg)
15:33:11     
15:33:11     warning: no previously-included files found matching '.coveragerc'
15:33:11     warning: no previously-included files found matching '.mailmap'
15:33:11     warning: no previously-included files found matching '.travis.yml'
15:33:11     warning: no previously-included files found matching '.landscape.yml'
15:33:11     warning: no previously-included files found matching 'src/pip/_vendor/Makefile'
15:33:11     warning: no previously-included files found matching 'tox.ini'
15:33:11     warning: no previously-included files found matching '*-requirements.txt'
15:33:11     warning: no previously-included files found matching 'appveyor.yml'
15:33:11     warning: no previously-included files found matching 'src/pip/_vendor/six'
15:33:11     warning: no previously-included files matching '*.pyi' found under directory 'src/pip/_vendor'
15:33:11     no previously-included directories found matching '.github'
15:33:11     no previously-included directories found matching '.travis'
15:33:11     no previously-included directories found matching 'docs/build'
15:33:11     no previously-included directories found matching 'news'
15:33:11     no previously-included directories found matching 'contrib'
15:33:11     no previously-included directories found matching 'tasks'
15:33:11     no previously-included directories found matching 'tests'
15:33:11     Installing pip script to /var/lib/jenkins/origin-ci-tool/1b1964377703c7b80bc58461631459400fa0d742/bin
15:33:11     Installing pip2.7 script to /var/lib/jenkins/origin-ci-tool/1b1964377703c7b80bc58461631459400fa0d742/bin
15:33:11     Installing pip2 script to /var/lib/jenkins/origin-ci-tool/1b1964377703c7b80bc58461631459400fa0d742/bin
15:33:11 Successfully installed pip
15:33:11 Cleaning up...
15:33:11 + pip install --upgrade setuptools
15:33:12 Collecting setuptools
15:33:12   Downloading https://files.pythonhosted.org/packages/7f/e1/820d941153923aac1d49d7fc37e17b6e73bfbd2904959fffbad77900cf92/setuptools-39.2.0-py2.py3-none-any.whl (567kB)
15:33:12 ruamel-yaml 0.11.11 requires ruamel.ordereddict, which is not installed.
15:33:12 Installing collected packages: setuptools
15:33:12   Found existing installation: setuptools 0.9.8
15:33:12     Uninstalling setuptools-0.9.8:
15:33:12       Successfully uninstalled setuptools-0.9.8
15:33:13 Successfully installed setuptools-39.2.0
15:33:13 + pip install . --process-dependency-links
15:33:13 Processing /var/lib/jenkins/jobs/install_origin_ci_tool/workspace
15:33:17 DEPRECATION: Dependency Links processing has been deprecated and will be removed in a future release.
15:33:17 Requirement already satisfied: Click in /usr/lib/python2.7/site-packages (from origin-ci-tool==0.1.0) (6.3)
15:33:17 Collecting ansible==3.0.0 (from origin-ci-tool==0.1.0)
15:33:17   Cloning https://github.com/stevekuznetsov/ansible.git (to revision skuznets/oct-release) to /tmp/pip-install-gyfJwr/ansible
15:33:25 Requirement already satisfied: backports.shutil_get_terminal_size in /usr/lib/python2.7/site-packages (from origin-ci-tool==0.1.0) (1.0.0)
15:33:25 Requirement already satisfied: semver in /usr/lib/python2.7/site-packages (from origin-ci-tool==0.1.0) (2.7.2)
15:33:25 Requirement already satisfied: junit_xml in /usr/lib/python2.7/site-packages (from origin-ci-tool==0.1.0) (1.7)
15:33:25 Collecting structlog (from origin-ci-tool==0.1.0)
15:33:25   Using cached https://files.pythonhosted.org/packages/e9/ea/0d4fd621c7e797ad9fa2cd0e4bd1b4b613364ecfeca39512e1fb30f43394/structlog-18.1.0-py2.py3-none-any.whl
15:33:25 Requirement already satisfied: boto3 in /usr/lib/python2.7/site-packages (from origin-ci-tool==0.1.0) (1.4.6)
15:33:25 Requirement already satisfied: paramiko in /usr/lib/python2.7/site-packages (from ansible==3.0.0->origin-ci-tool==0.1.0) (1.16.1)
15:33:25 Requirement already satisfied: jinja2 in /usr/lib/python2.7/site-packages (from ansible==3.0.0->origin-ci-tool==0.1.0) (2.7.2)
15:33:25 Requirement already satisfied: PyYAML in /usr/lib64/python2.7/site-packages (from ansible==3.0.0->origin-ci-tool==0.1.0) (3.10)
15:33:25 Requirement already satisfied: setuptools in /var/lib/jenkins/origin-ci-tool/1b1964377703c7b80bc58461631459400fa0d742/lib/python2.7/site-packages (from ansible==3.0.0->origin-ci-tool==0.1.0) (39.2.0)
15:33:25 Requirement already satisfied: pycrypto>=2.6 in /usr/lib64/python2.7/site-packages (from ansible==3.0.0->origin-ci-tool==0.1.0) (2.6.1)
15:33:25 Requirement already satisfied: six in /usr/lib/python2.7/site-packages (from junit_xml->origin-ci-tool==0.1.0) (1.10.0)
15:33:25 Requirement already satisfied: botocore<1.7.0,>=1.6.0 in /usr/lib/python2.7/site-packages (from boto3->origin-ci-tool==0.1.0) (1.6.0)
15:33:25 Requirement already satisfied: jmespath<1.0.0,>=0.7.1 in /usr/lib/python2.7/site-packages (from boto3->origin-ci-tool==0.1.0) (0.9.0)
15:33:25 Requirement already satisfied: s3transfer<0.2.0,>=0.1.10 in /usr/lib/python2.7/site-packages (from boto3->origin-ci-tool==0.1.0) (0.1.10)
15:33:25 Requirement already satisfied: ecdsa>=0.11 in /usr/lib/python2.7/site-packages (from paramiko->ansible==3.0.0->origin-ci-tool==0.1.0) (0.13)
15:33:25 Requirement already satisfied: markupsafe in /usr/lib64/python2.7/site-packages (from jinja2->ansible==3.0.0->origin-ci-tool==0.1.0) (0.11)
15:33:25 Requirement already satisfied: python-dateutil<3.0.0,>=1.4 in /usr/lib/python2.7/site-packages (from botocore<1.7.0,>=1.6.0->boto3->origin-ci-tool==0.1.0) (1.5)
15:33:25 Requirement already satisfied: docutils>=0.10 in /usr/lib/python2.7/site-packages (from botocore<1.7.0,>=1.6.0->boto3->origin-ci-tool==0.1.0) (0.11)
15:33:25 Requirement already satisfied: futures<4.0.0,>=2.2.0 in /usr/lib/python2.7/site-packages (from s3transfer<0.2.0,>=0.1.10->boto3->origin-ci-tool==0.1.0) (3.0.5)
15:33:25 ruamel-yaml 0.11.11 requires ruamel.ordereddict, which is not installed.
15:33:25 Installing collected packages: ansible, structlog, origin-ci-tool
15:33:25   Found existing installation: ansible 2.4.2.0
15:33:25     Not uninstalling ansible at /usr/lib/python2.7/site-packages, outside environment /var/lib/jenkins/origin-ci-tool/1b1964377703c7b80bc58461631459400fa0d742
15:33:25     Can't uninstall 'ansible'. No files were found to uninstall.
15:33:25   Running setup.py install for ansible: started
15:33:29     Running setup.py install for ansible: finished with status 'done'
15:33:30   Running setup.py install for origin-ci-tool: started
15:33:49     Running setup.py install for origin-ci-tool: finished with status 'done'
15:33:51 Successfully installed ansible-3.0.0 origin-ci-tool-0.1.0 structlog-18.1.0
15:33:51 + rm -f /var/lib/jenkins/origin-ci-tool/latest
15:33:51 + ln -s /var/lib/jenkins/origin-ci-tool/1b1964377703c7b80bc58461631459400fa0d742 /var/lib/jenkins/origin-ci-tool/latest
15:33:51 Finished: SUCCESS